Subject: bug#11553: 24.0.97; doc string of `dired-mark-read-string'

From: "Drew Adams" <[email-masked]>
Date: Thu, 24 May 2012 11:39:34 -0700

> 1. "ARG is normally the prefix argument for the calling command."
>  
> So what?  That doesn't tell you anything useful.  What is ARG 
> for?  What does it do?  Just say that it is passed to
> `dired-mark-prompt'.

Things are even worse than I thought.  The doc string of `dired-mark-prompt'
punts just as pitifully as that for `dired-mark-read-string' - the wording is
even the same.

What should be said about ARG and FILES for `dired-mark-prompt':

 "If ARG is nil then prompt to act on the number of files in FILES.
  If non-nil then prompt to act on the next N files, where N is the
  `prefix-numeric-value' of ARG."

 "FILES is the same as in `dired-mark-pop-up'."

(or repeat the definition of FILES from `dired-mark-pop-up')